Index: cpukit/librpc/include/rpc/auth.h
===================================================================
--- cpukit/librpc/include/rpc/auth.h	(revision a078d6f0ab707dd43aac94b029ebf23ab5e92f6a)
+++ cpukit/librpc/include/rpc/auth.h	(revision 17fa7d616025cce6845ad00919be5c00a66002ae)
@@ -67,5 +67,6 @@
 	*/
 	AUTH_INVALIDRESP=6,		/* bogus response verifier */
-	AUTH_FAILED=7			/* some unknown reason */
+	AUTH_FAILED=7,			/* some unknown reason */
+	_AUTH_STAT = 0xffffffff
 };
 
Index: cpukit/librpc/include/rpc/clnt_stat.h
===================================================================
--- cpukit/librpc/include/rpc/clnt_stat.h	(revision a078d6f0ab707dd43aac94b029ebf23ab5e92f6a)
+++ cpukit/librpc/include/rpc/clnt_stat.h	(revision 17fa7d616025cce6845ad00919be5c00a66002ae)
@@ -74,5 +74,6 @@
 	RPC_CANTCONNECT = 26,		/* couldn't make connection (cots) */
 	RPC_XPRTFAILED = 27,		/* received discon from remote (cots) */
-	RPC_CANTCREATESTREAM = 28	/* can't push rpc module (cots) */
+	RPC_CANTCREATESTREAM = 28,	/* can't push rpc module (cots) */
+	_CLNT_STAT = 0xffffffff
 };
 
Index: cpukit/librpc/include/rpc/rpc_msg.h
===================================================================
--- cpukit/librpc/include/rpc/rpc_msg.h	(revision a078d6f0ab707dd43aac94b029ebf23ab5e92f6a)
+++ cpukit/librpc/include/rpc/rpc_msg.h	(revision 17fa7d616025cce6845ad00919be5c00a66002ae)
@@ -57,10 +57,12 @@
 enum msg_type {
 	CALL=0,
-	REPLY=1
+	REPLY=1,
+	_MSG_TYPE = 0xffffffff
 };
 
 enum reply_stat {
 	MSG_ACCEPTED=0,
-	MSG_DENIED=1
+	MSG_DENIED=1,
+	_REPLY_STAT = 0xffffffff
 };
 
@@ -71,10 +73,12 @@
 	PROC_UNAVAIL=3,
 	GARBAGE_ARGS=4,
-	SYSTEM_ERR=5
+	SYSTEM_ERR=5,
+	_ACCEPT_STAT = 0xffffffff
 };
 
 enum reject_stat {
 	RPC_MISMATCH=0,
-	AUTH_ERROR=1
+	AUTH_ERROR=1,
+	_REJECT_STAT = 0xffffffff
 };
 
Index: cpukit/librpc/include/rpc/svc.h
===================================================================
--- cpukit/librpc/include/rpc/svc.h	(revision a078d6f0ab707dd43aac94b029ebf23ab5e92f6a)
+++ cpukit/librpc/include/rpc/svc.h	(revision 17fa7d616025cce6845ad00919be5c00a66002ae)
@@ -67,5 +67,6 @@
 	XPRT_DIED,
 	XPRT_MOREREQS,
-	XPRT_IDLE
+	XPRT_IDLE,
+	_XPRT_STAT = 0xffffffff
 };
 
Index: cpukit/librpc/include/rpcsvc/nis_db.h
===================================================================
--- cpukit/librpc/include/rpcsvc/nis_db.h	(revision a078d6f0ab707dd43aac94b029ebf23ab5e92f6a)
+++ cpukit/librpc/include/rpcsvc/nis_db.h	(revision 17fa7d616025cce6845ad00919be5c00a66002ae)
@@ -70,5 +70,6 @@
 	DB_MEMORY_LIMIT = 6,
 	DB_STORAGE_LIMIT = 7,
-	DB_INTERNAL_ERROR = 8
+	DB_INTERNAL_ERROR = 8,
+	_DB_STATUS = 0xffffffff
 };
 typedef enum db_status db_status;
@@ -81,5 +82,6 @@
 	DB_NEXT = 4,
 	DB_ALL = 5,
-	DB_RESET_NEXT = 6
+	DB_RESET_NEXT = 6,
+	_DB_ACTION = 0xffffffff
 };
 typedef enum db_action db_action;
Index: cpukit/librpc/include/rpcsvc/yp_prot.h
===================================================================
--- cpukit/librpc/include/rpcsvc/yp_prot.h	(revision a078d6f0ab707dd43aac94b029ebf23ab5e92f6a)
+++ cpukit/librpc/include/rpcsvc/yp_prot.h	(revision 17fa7d616025cce6845ad00919be5c00a66002ae)
@@ -234,5 +234,6 @@
 enum ypbind_resptype {
 	YPBIND_SUCC_VAL = 1,
-	YPBIND_FAIL_VAL = 2
+	YPBIND_FAIL_VAL = 2,
+	_YPBIND_RESPTYPE = 0xffffffff
 };
 
Index: cpukit/librpc/src/xdr/xdr.c
===================================================================
--- cpukit/librpc/src/xdr/xdr.c	(revision a078d6f0ab707dd43aac94b029ebf23ab5e92f6a)
+++ cpukit/librpc/src/xdr/xdr.c	(revision 17fa7d616025cce6845ad00919be5c00a66002ae)
@@ -459,14 +459,12 @@
 {
 #ifndef lint
-	enum sizecheck { SIZEVAL };	/* used to find the size of an enum */
-
 	/*
 	 * enums are treated as ints
 	 */
-	if (sizeof (enum sizecheck) == sizeof (long)) {
+	if (sizeof (enum_t) == sizeof (long)) {
 		return (xdr_long(xdrs, (long *)ep));
-	} else if (sizeof (enum sizecheck) == sizeof (int)) {
+	} else if (sizeof (enum_t) == sizeof (int)) {
 		return (xdr_int(xdrs, (int *)ep));
-	} else if (sizeof (enum sizecheck) == sizeof (short)) {
+	} else if (sizeof (enum_t) == sizeof (short)) {
 		return (xdr_short(xdrs, (short *)ep));
 	} else {
